Account Administration - Sandbox

Administration

Get locations

Get list of locations available for fees and requests

get
https://api-test.vitu.com/one/administration/api/v1/locations

Query Parameters

limitinteger

Maximum items per page

Default:20

>= 1<= 100

offsetinteger

Items to skip

Default:0

>= 0

Response

application/json

OK

<= 500 items

idinteger(int32)

Example:12345

namestring

<= 500 characters

Example:Sample Name FL

address1string

<= 500 characters

Example:12345 NW 12TH AVE

citystring

<= 500 characters

Example:Miami Lakes

statestring

<= 2 characters

Example:FL

countystring

<= 500 characters

Example:12345

zipstring

<= 500 characters

Example:12345

get/locations
 
application/json

Get list of users available for fees / transaction requests

Get list of users available for fees / transaction requests.

get
https://api-test.vitu.com/one/administration/api/v1/users

Query Parameters

pageinteger

Page number

>= 1

Example:1

sizeinteger

Page size

>= 1

Example:10

limitinteger

Maximum items per page

Default:20

>= 1<= 100

offsetinteger

Items to skip

Default:0

>= 0

Response

application/json

OK

<= 500 items

idinteger(int32)

Example:12345

usernamestring

<= 500 characters

Example:userName

firstNamestring

<= 500 characters

Example:First

lastNamestring

<= 500 characters

Example:Last

emailstring(email)

<= 500 characters

Example:[email protected]

get/users
 
application/json

Get list of available operations for user

Get list of available operations for user.

get
https://api-test.vitu.com/one/administration/api/v1/access

Query Parameters

limitinteger

Maximum items per page

Default:20

>= 1<= 100

offsetinteger

Items to skip

Default:0

>= 0

Headers

x-on-behalf-user-idinteger

Id of the user on behalf of whom the request is being made

Response

application/json

OK

<= 500 items

userIdinteger
locationsarray[object]

<= 500 items

Show Child Parameters
get/access
 
application/json

LocationDTO

object
idinteger(int32)

Example:12345

namestring

<= 500 characters

Example:Sample Name FL

address1string

<= 500 characters

Example:12345 NW 12TH AVE

citystring

<= 500 characters

Example:Miami Lakes

statestring

<= 2 characters

Example:FL

countystring

<= 500 characters

Example:12345

zipstring

<= 500 characters

Example:12345

Example